
package nlib.cmm.service.impl;

import java.util.List;
import java.util.Map;

import egovframework.rte.psl.dataaccess.mapper.Mapper;
import nlib.col.service.CollectionVO;

@Mapper("mainDAO")
public interface MainDAO {

	/**
	 * 지역문화원의 키워드 리스트를 조회한다. 
	 * 
	 * @param mngOrgCd
	 * @return
	 */
	public List<Map<String, String>> listKeywords(String mngOrgCd);
	
	/**
	 * 문화원 PICK한 자료 리스트를 조회한다. 
	 * 
	 * @param mngOrgCd
	 * @return
	 */
	public List<CollectionVO> listOrgPicks(String mngOrgCd);
	
	/**
	 * 유형별인기자료 리스트를 조회한다. 
	 * 
	 * @param mngOrgCd
	 * @return
	 */
	public List<CollectionVO> listPops(CollectionVO searchVO);
	
	/**
	 * 온라인자료관 리스트를 조회한다. 
	 * 
	 * @param mngOrgCd
	 * @return
	 */
	public List<CollectionVO> listOnline(String mngOrgCd);
	
	/**
	 * 지방문화원별 배너 정보를 조회한다. 
	 * 
	 * @param mngOrgCd
	 * @return
	 */
	public List<Map<String, String>> listBannerInfos(String mngOrgCd);
	
	/**
	 * 메인화면 배너ID에 대한 정보를 가져온다.
	 *  
	 * @return
	 */
	public Map<String, String> getBannerInfo(String bannerId);
}
